use strict;
use warnings;
use Module::Build;

my $builder = Module::Build->new(
    module_name         => 'Sub::Scheduler',
    license             => 'perl',
    dist_author         => 'Alex Efros <powerman@asdfgroup.com>',
    dist_version_from   => 'lib/Sub/Scheduler.pm',
    requires => {
        'Test::More'            => 0,
        'version'               => 0,
        'Perl6::Export::Attrs'  => 0,
        'List::MoreUtils'       => 0,
    },
    add_to_cleanup      => [ 'Sub-Scheduler-*' ],
);

$builder->create_build_script();
